---
id: amigosshare
name: Amigos Share Club
description: "Amigos Share Club (ASC) is a BRAZILIAN Private Torrent Tracker for MOVIES / TV / GENERAL"
language: pt-BR
type: private
encoding: UTF-8
requestDelay: 2
links:
  - https://cliente.amigos-share.club/
legacylinks:
  - http://amigos-share.club/
  - https://amigos-share.club/

caps:
  categorymappings:
    - {id: 75, cat: XXX, desc: "Adultos: Hentai"}
    - {id: 107, cat: XXX, desc: "Adultos: Gay"}
    - {id: 108, cat: XXX, desc: "Adultos: Transex/Female"}
    - {id: 74, cat: XXX, desc: "Adultos: XXX"}
    - {id: 146, cat: XXX, desc: "Adultos: OnlyFans"}
    - {id: 69, cat: TV/Anime, desc: "Anime: Anime"}
    - {id: 116, cat: TV/Anime, desc: "Anime: Filmes"}
    - {id: 118, cat: TV/Anime, desc: "Anime: Séries"}
    - {id: 21, cat: PC/0day, desc: "Aplicativos: Windows"}
    - {id: 28, cat: PC/Mobile-iOS, desc: "Aplicativos: iPod"}
    - {id: 27, cat: PC/Mobile-iOS, desc: "Aplicativos: iPad"}
    - {id: 26, cat: PC/Mobile-iOS, desc: "Aplicativos: iPhone"}
    - {id: 25, cat: PC, desc: "Aplicativos: Linux"}
    - {id: 23, cat: PC/Mobile-Android, desc: "Aplicativos: Android"}
    - {id: 22, cat: PC/Mac, desc: "Aplicativos: Mac"}
    - {id: 73, cat: Other, desc: "Cursos: Video Aula"}
    - {id: 72, cat: Other, desc: "Cursos: Apostila"}
    - {id: 71, cat: Other, desc: "Cursos: Cursos"}
    - {id: 67, cat: Books/EBook, desc: "Ebook: Livros"}
    - {id: 112, cat: Books/Comics, desc: "Ebook: HQs"}
    - {id: 147, cat: Books/Comics, desc: "Ebook: Mangas"}
    - {id: 121, cat: Audio/Audiobook, desc: "Ebook: Audio-book"}
    - {id: 68, cat: Books/Mags, desc: "Ebook: Revistas"}
    - {id: 119, cat: Movies, desc: "Filmes:"}
    - {id: 70, cat: XXX, desc: "Fotos: Revistas, Livros e Fotos"}
    - {id: 51, cat: Console/PS3, desc: "Jogos: Ps3"}
    - {id: 54, cat: Console/XBox 360, desc: "Jogos: Xbox360"}
    - {id: 109, cat: Console, desc: "Jogos: Emulação"}
    - {id: 110, cat: Console, desc: "Jogos: Nintendo Switch"}
    - {id: 52, cat: Console, desc: "Jogos: Dreamcast"}
    - {id: 50, cat: Console, desc: "Jogos: Ps2"}
    - {id: 49, cat: Console, desc: "Jogos: Ps1"}
    - {id: 48, cat: PC/Mac, desc: "Jogos: Mac"}
    - {id: 55, cat: Console/Wii, desc: "Jogos: Wii"}
    - {id: 82, cat: Console/PSP, desc: "Jogos: PSP"}
    - {id: 47, cat: PC/Games, desc: "Jogos: Pc"}
    - {id: 61, cat: Console, desc: "Jogos: Emuladores e Roms"}
    - {id: 58, cat: Console/NDS, desc: "Jogos: Nintendo DS"}
    - {id: 57, cat: Console, desc: "Jogos: Android"}
    - {id: 56, cat: Console/XBox, desc: "Jogos: Xbox"}
    - {id: 78, cat: Console/XBox One, desc: "Jogos: Xbox One"}
    - {id: 79, cat: Console/PS4, desc: "Jogos: Ps4"}
    - {id: 129, cat: Other, desc: "Outros: Fonts"}
    - {id: 128, cat: Other, desc: "Outros: Scripts"}
    - {id: 127, cat: Other, desc: "Outros: Add-ons"}
    - {id: 130, cat: Other, desc: "Outros: MOD"}
    - {id: 125, cat: Other, desc: "Outros: Pack de Imagens"}
    - {id: 124, cat: Other, desc: "Outros: Vetores"}
    - {id: 122, cat: Other, desc: "Outros: Plug-ins"}
    - {id: 126, cat: Other, desc: "Outros: Extensões"}
    - {id: 120, cat: TV, desc: "Series:"}
    - {id: 64, cat: TV, desc: "Tv: Fechada"}
    - {id: 62, cat: TV/Sport, desc: "Tv: Esportes"}
    - {id: 63, cat: TV, desc: "Tv: Aberta"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: info_results
    type: info
    label: "Search results"
    default: "Set <b>Exibição De Torrents</b> to <b>Lista</b> in your <b>Minhas Configurações</b>.<br />Using <b>Capas</b> is not supported and will return 0 results."
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: id
    options:
      id: created
      seeders: seeders
      size: size
      name: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Inactive accounts, that is, without access for 90 days (3 months), will be automatically deleted by the system; with no possibility of reactivation."

login:
  path: account-login.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    remember: yes
  error:
    - selector: div.alert-error
  test:
    path: torrents-search.php
    selector: a[href="account-logout.php"]

search:
  paths:
    # http://amigos-share.club/torrents-search.php?search=&sort=id&order=desc&page=1
    - path: torrents-search.php
    # site displays just 20 results, no profile options found to change this, so we attempt to fetch 5 pages
    - path: torrents-search.php
      inputs:
        page: 1
    - path: torrents-search.php
      inputs:
        page: 2
    - path: torrents-search.php
      inputs:
        page: 3
    - path: torrents-search.php
      inputs:
        page: 4
  inputs:
    # note: site does not support multi cat search.
    # replace spaces with wildcard (percent symbol) as site's default search is exact string.
    search: "{{ re_replace .Keywords \"[\\s]+\" \"%\" }}"
    sort: "{{ .Config.sort }}"
    order: "{{ .Config.type }}"
  # torrents-search.php does not support imdbid search or return imdb links.
  keywordsfilters:
    # drop the year from searches since site titles do not include year
    - name: re_replace
      args: ["(\\s*\\b((19|20)\\d{2})\\b)", ""]

  rows:
    selector: "div#fancy-list-group ul.list-group li.list-group-item{{ if .Config.freeleech }}:has(span.badge-success:contains(\"FREE\")){{ else }}{{ end }}"

  fields:
    category_default:
      # tv and movie just have an image :-b
      selector: div.list-group-item-addon img
      attribute: src
      optional: true
      case:
        "[src$=\"/filmes2.fw.png\"]": 119
        "[src$=\"/seriados.fw.png\"]": 120
    category:
      # while the rest have a href with a cat number \o/
      selector: a[href*="cat="]
      attribute: href
      optional: true
      default: "{{ .Result.category_default }}"
      filters:
        - name: querystring
          args: cat
    _quality:
      selector: div.list-group-item-content p.m-0 span.badge-primary:contains("1080p"), div.list-group-item-content p.m-0 span.badge-primary:contains("720p"), div.list-group-item-content p.m-0 span.badge-primary:contains("4k")
      optional: true
      filters:
        - name: replace
          args: ["4k", "2160p"]
    _year:
      selector: div.list-group-item-content p.m-0 span.badge-primary[style$="#246AB6;"]
      optional: true
    _type:
      selector: div.list-group-item-content p.m-0 span.badge-info:contains("Rip"), div.list-group-item-content p.m-0 span.badge-info:contains("WEB-"), div.list-group-item-content p.m-0 span.badge-info:contains("TV"), div.list-group-item-content p.m-0 span.badge-info:contains("Blu-Ray"), div.list-group-item-content p.m-0 span.badge-info:contains("BD50"), div.list-group-item-content p.m-0 span.badge-info:contains("MUX"), div.list-group-item-content p.m-0 span.badge-info:contains("DVD"), div.list-group-item-content p.m-0 span.badge-info:contains("320"), div.list-group-item-content p.m-0 span.badge-info:contains("CAM"), div.list-group-item-content p.m-0 span.badge-info:contains("rip")
      optional: true
    _language:
      selector: div.list-group-item-content p.m-0 span.badge-primary[style$="#b6249d;"]
      optional: true
    title:
      selector: a[href*="torrents-details.php?id="], a[href*="details-misc.php?id="]
      filters:
        # strip out the non-english title [to the left of the brackets] and drop the brackets enclosing the english title
        - name: re_replace
          args: ["^(.*?)[\\(](.*?)[\\)](.*?)$", "$2$3"]
        # add the year to the title
        - name: append
          args: "{{ if .Result._year }} {{ .Result._year }}{{ else }}{{ end }}"
        # add the quality to the title
        - name: append
          args: "{{ if .Result._quality }} {{ .Result._quality }}{{ else }}{{ end }}"
        # add the type to the title
        - name: append
          args: "{{ if .Result._type }} {{ .Result._type }}{{ else }}{{ end }}"
        # add audio to the title
        - name: append
          args: "{{ if .Result._language }} {{ .Result._language }}{{ else }}{{ end }}"
        - name: re_replace
          args: ["(Dual|[Nn]acional|[Dd]ublado)", "Brazilian $1"]
    details:
      selector: a[href*="torrents-details.php?id="], a[href*="details-misc.php?id="]
      attribute: href
    download:
      selector: a[href*="download.php?id="]
      attribute: href
    date:
      selector: p:contains("Lançado:")
      # auto adjusted by site account profile
      optional: true
      default: now
      filters:
        - name: regexp
          args: "Lançado: (.+?)$"
        - name: re_replace
          args: [" (\\d:)", " 0$1"]
        - name: dateparse
          args: "dd/MM/yy HH:mm:ss"
    size:
      selector: div.list-group-item-content p.m-0 span.badge-info
    seeders:
      selector: div.list-group-item-controls a:nth-child(1)
    leechers:
      selector: div.list-group-item-controls a:nth-child(2)
    grabs:
      selector: div.list-group-item-controls a:nth-child(3)
    genre:
      selector: div.list-group-item-content p.m-0 span.badge-primary[style$="#1c38c2;"]
    description:
      text: "{{ .Result.genre }}"
    downloadvolumefactor:
      case:
        "span.badge-success:contains(\"FREE\")": 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 1.0
# engine n/a
